> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Main Page Transactions

` GET /blockscout/main-page/transactions `

Get Main Page Transactions

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Responses

### ` 200 ` — Transactions

Content type: ` application/json `

- ` value `: type ` array `

  - ` array item `: type ` object `

    - Required fields: ` timestamp `, ` fee `, ` gas_limit `, ` block_number `, ` status `, ` method `, ` confirmations `, ` type `, ` exchange_rate `, ` to `, ` transaction_burnt_fee `, ` max_fee_per_gas `, ` result `, ` hash `, ` gas_price `, ` priority_fee `, ` base_fee_per_gas `, ` from `, ` token_transfers `, ` transaction_types `, ` gas_used `, ` created_contract `, ` position `, ` nonce `, ` has_error_in_internal_transactions `, ` actions `, ` decoded_input `, ` token_transfers_overflow `, ` raw_input `, ` value `, ` max_priority_fee_per_gas `, ` revert_reason `, ` confirmation_duration `, ` transaction_tag `

    - ` timestamp `: type ` string `

      - example: ` "2022-08-02T07:18:05.000000Z" `

    - ` fee `: type ` object `

      - Required fields: ` type `, ` value `

      - ` type `: type ` string `

        - example: ` "maximum | actual" `

      - ` value `: type ` string `

        - example: ` "9853224000000000" `

    - ` gas_limit `: type ` integer `

    - ` block_number `: type ` integer `; format ` int32 `

      - example: ` 23484035 `

    - ` status `: type ` string `

      - example: ` "ok | error" `

    - ` method `: type ` string `

      - example: ` "transferFrom" `

    - ` confirmations `: type ` integer `

      - example: ` 1035 `

    - ` type `: type ` integer `

      - example: ` 2 `

    - ` exchange_rate `: type ` string `

      - example: ` "1866.51" `

    - ` to `: type ` object `

      - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

      - ` hash `: type ` string `

        - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

      - ` implementation_name `: type ` string `

        - example: ` "implementationName" `

      - ` name `: type ` string `

        - example: ` "contractName" `

      - ` ens_domain_name `: type ` string `

        - example: ` "domain.eth" `

      - ` metadata `: type ` object `

        - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

      - ` is_contract `: type ` boolean `

      - ` private_tags `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` address_hash `, ` display_name `, ` label `

          - ` address_hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` watchlist_names `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` display_name `, ` label `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` public_tags `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` address_hash `, ` display_name `, ` label `

          - ` address_hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` is_verified `: type ` boolean `

    - ` transaction_burnt_fee `: type ` string `

      - example: ` "1099596081903840" `

    - ` max_fee_per_gas `: type ` string `

      - example: ` "55357460102" `

    - ` result `: type ` string `

      - example: ` "Error: (Awaiting internal transactions for reason)" `

    - ` hash `: type ` string `

      - example: ` "0x5d90a9da2b8da402b11bc92c8011ec8a62a2d59da5c7ac4ae0f73ec51bb73368" `

    - ` gas_price `: type ` string `

      - example: ` "26668595172" `

    - ` priority_fee `: type ` string `

      - example: ` "2056916056308" `

    - ` base_fee_per_gas `: type ` string `

      - example: ` "26618801760" `

    - ` from `: type ` object `

      - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

      - ` hash `: type ` string `

        - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

      - ` implementation_name `: type ` string `

        - example: ` "implementationName" `

      - ` name `: type ` string `

        - example: ` "contractName" `

      - ` ens_domain_name `: type ` string `

        - example: ` "domain.eth" `

      - ` metadata `: type ` object `

        - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

      - ` is_contract `: type ` boolean `

      - ` private_tags `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` address_hash `, ` display_name `, ` label `

          - ` address_hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` watchlist_names `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` display_name `, ` label `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` public_tags `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` address_hash `, ` display_name `, ` label `

          - ` address_hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` is_verified `: type ` boolean `

    - ` token_transfers `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` block_hash `, ` from `, ` log_index `, ` to `, ` token `, ` total `, ` transaction_hash `, ` type `

        - ` block_hash `: type ` string `

          - example: ` "0xf569ec751152b2f814001fc730f7797aa155e4bc3ba9cb6ba24bc2c8c9468c1a" `

        - ` from `: type ` object `

          - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

          - ` hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` implementation_name `: type ` string `

            - example: ` "implementationName" `

          - ` name `: type ` string `

            - example: ` "contractName" `

          - ` ens_domain_name `: type ` string `

            - example: ` "domain.eth" `

          - ` metadata `: type ` object `

            - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

          - ` is_contract `: type ` boolean `

          - ` private_tags `: type ` array `

            - ` array item `: type ` object `

              - Required fields: ` address_hash `, ` display_name `, ` label `

              - ` address_hash `: type ` string `

                - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

              - ` display_name `: type ` string `

                - example: ` "name to show" `

              - ` label `: type ` string `

                - example: ` "label" `

          - ` watchlist_names `: type ` array `

            - ` array item `: type ` object `

              - Required fields: ` display_name `, ` label `

              - ` display_name `: type ` string `

                - example: ` "name to show" `

              - ` label `: type ` string `

                - example: ` "label" `

          - ` public_tags `: type ` array `

            - ` array item `: type ` object `

              - Required fields: ` address_hash `, ` display_name `, ` label `

              - ` address_hash `: type ` string `

                - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

              - ` display_name `: type ` string `

                - example: ` "name to show" `

              - ` label `: type ` string `

                - example: ` "label" `

          - ` is_verified `: type ` boolean `

        - ` log_index `: type ` integer `

          - example: ` 16 `

        - ` method `: type ` string `

          - example: ` "transfer" `

        - ` timestamp `: type ` string `

          - example: ` "2023-07-03T20:09:59.000000Z" `

        - ` to `: type ` object `

          - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

          - ` hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` implementation_name `: type ` string `

            - example: ` "implementationName" `

          - ` name `: type ` string `

            - example: ` "contractName" `

          - ` ens_domain_name `: type ` string `

            - example: ` "domain.eth" `

          - ` metadata `: type ` object `

            - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

          - ` is_contract `: type ` boolean `

          - ` private_tags `: type ` array `

            - ` array item `: type ` object `

              - Required fields: ` address_hash `, ` display_name `, ` label `

              - ` address_hash `: type ` string `

                - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

              - ` display_name `: type ` string `

                - example: ` "name to show" `

              - ` label `: type ` string `

                - example: ` "label" `

          - ` watchlist_names `: type ` array `

            - ` array item `: type ` object `

              - Required fields: ` display_name `, ` label `

              - ` display_name `: type ` string `

                - example: ` "name to show" `

              - ` label `: type ` string `

                - example: ` "label" `

          - ` public_tags `: type ` array `

            - ` array item `: type ` object `

              - Required fields: ` address_hash `, ` display_name `, ` label `

              - ` address_hash `: type ` string `

                - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

              - ` display_name `: type ` string `

                - example: ` "name to show" `

              - ` label `: type ` string `

                - example: ` "label" `

          - ` is_verified `: type ` boolean `

        - ` token `: type ` object `

          - Required fields: ` address `, ` circulating_market_cap `, ` icon_url `, ` symbol `, ` name `, ` decimals `, ` type `, ` holders `, ` exchange_rate `, ` total_supply `

          - ` circulating_market_cap `: type ` string `

            - example: ` "83606435600.3635" `

          - ` icon_url `: type ` string `

            - example: ` "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png" `

          - ` name `: type ` string `

            - example: ` "Tether USD" `

          - ` decimals `: type ` string `

            - example: ` "6" `

          - ` symbol `: type ` string `

            - example: ` "USDT" `

          - ` address `: type ` string `

            - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

          - ` type `: type ` string `

            - example: ` "ERC-20" `

          - ` holders `: type ` string `

            - example: ` "837494234523" `

          - ` exchange_rate `: type ` string `

            - example: ` "0.99" `

          - ` total_supply `: type ` string `

            - example: ` "10000000" `

        - ` total `: type ` unknown `

          - ` oneOf alternative 1 `: type ` object `

            - Required fields: ` decimals `, ` value `

            - ` decimals `: type ` string `

              - example: ` "18" `

            - ` value `: type ` string `

              - example: ` "1000" `

          - ` oneOf alternative 2 `: type ` object `

            - Required fields: ` token_id `

            - ` token_id `: type ` string `

              - example: ` "1" `

            - ` token_instance `: type ` object `

              - Required fields: ` is_unique `, ` id `, ` token `, ` owner `

              - ` is_unique `: type ` boolean `

              - ` id `: type ` string `

                - example: ` "431" `

              - ` holder_address_hash `: type ` string `

                - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

              - ` image_url `: type ` string `

                - example: ` "example.com/picture.png" `

              - ` animation_url `: type ` string `

                - example: ` "example.com/video.mp4" `

              - ` external_app_url `: type ` string `

                - example: ` "d-app.com" `

              - ` metadata `: type ` object `

                - example: ` {"year":2023,"tags":["poap","event"],"name":"Social Listening Committee #2 Attendees","image_url":"https://assets.poap.xyz/chanel-poap-4c-2023-logo-1675083420470.png","home_url":"https://app.poap.xyz/token/6292128","external_url":"https://api.poap.tech/metadata/99010/6292128","description":"This is the POAP for attendees of the second Social Listening Committee.","attributes":[{"value":"01-Feb-2023","trait_type":"startDate"},{"value":"01-Feb-2023","trait_type":"endDate"},{"value":"false","trait_type":"virtualEvent"},{"value":"Paris","trait_type":"city"},{"value":"France","trait_type":"country"},{"value":"https://www.chanel.com","trait_type":"eventURL"}]} `

              - ` owner `: type ` object `

                - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

                - ` hash `: type ` string `

                  - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

                - ` implementation_name `: type ` string `

                  - example: ` "implementationName" `

                - ` name `: type ` string `

                  - example: ` "contractName" `

                - ` ens_domain_name `: type ` string `

                  - example: ` "domain.eth" `

                - ` metadata `: type ` object `

                  - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

                - ` is_contract `: type ` boolean `

                - ` private_tags `: type ` array `

                  - ` array item `: type ` object `

                    - Required fields: ` address_hash `, ` display_name `, ` label `

                    - ` address_hash `: type ` string `

                      - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

                    - ` display_name `: type ` string `

                      - example: ` "name to show" `

                    - ` label `: type ` string `

                      - example: ` "label" `

                - ` watchlist_names `: type ` array `

                  - ` array item `: type ` object `

                    - Required fields: ` display_name `, ` label `

                    - ` display_name `: type ` string `

                      - example: ` "name to show" `

                    - ` label `: type ` string `

                      - example: ` "label" `

                - ` public_tags `: type ` array `

                  - ` array item `: type ` object `

                    - Required fields: ` address_hash `, ` display_name `, ` label `

                    - ` address_hash `: type ` string `

                      - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

                    - ` display_name `: type ` string `

                      - example: ` "name to show" `

                    - ` label `: type ` string `

                      - example: ` "label" `

                - ` is_verified `: type ` boolean `

              - ` token `: type ` object `

                - Required fields: ` address `, ` circulating_market_cap `, ` icon_url `, ` symbol `, ` name `, ` decimals `, ` type `, ` holders `, ` exchange_rate `, ` total_supply `

                - ` circulating_market_cap `: type ` string `

                  - example: ` "83606435600.3635" `

                - ` icon_url `: type ` string `

                  - example: ` "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png" `

                - ` name `: type ` string `

                  - example: ` "Tether USD" `

                - ` decimals `: type ` string `

                  - example: ` "6" `

                - ` symbol `: type ` string `

                  - example: ` "USDT" `

                - ` address `: type ` string `

                  - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

                - ` type `: type ` string `

                  - example: ` "ERC-20" `

                - ` holders `: type ` string `

                  - example: ` "837494234523" `

                - ` exchange_rate `: type ` string `

                  - example: ` "0.99" `

                - ` total_supply `: type ` string `

                  - example: ` "10000000" `

          - ` oneOf alternative 3 `: type ` object `

            - Required fields: ` token_id `, ` decimals `, ` value `

            - ` token_id `: type ` string `

              - example: ` "1" `

            - ` decimals `: type ` string `

              - example: ` null `

            - ` value `: type ` string `

              - example: ` "1000" `

            - ` token_instance `: type ` object `

              - Required fields: ` is_unique `, ` id `, ` token `, ` owner `

              - ` is_unique `: type ` boolean `

              - ` id `: type ` string `

                - example: ` "431" `

              - ` holder_address_hash `: type ` string `

                - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

              - ` image_url `: type ` string `

                - example: ` "example.com/picture.png" `

              - ` animation_url `: type ` string `

                - example: ` "example.com/video.mp4" `

              - ` external_app_url `: type ` string `

                - example: ` "d-app.com" `

              - ` metadata `: type ` object `

                - example: ` {"year":2023,"tags":["poap","event"],"name":"Social Listening Committee #2 Attendees","image_url":"https://assets.poap.xyz/chanel-poap-4c-2023-logo-1675083420470.png","home_url":"https://app.poap.xyz/token/6292128","external_url":"https://api.poap.tech/metadata/99010/6292128","description":"This is the POAP for attendees of the second Social Listening Committee.","attributes":[{"value":"01-Feb-2023","trait_type":"startDate"},{"value":"01-Feb-2023","trait_type":"endDate"},{"value":"false","trait_type":"virtualEvent"},{"value":"Paris","trait_type":"city"},{"value":"France","trait_type":"country"},{"value":"https://www.chanel.com","trait_type":"eventURL"}]} `

              - ` owner `: type ` object `

                - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

                - ` hash `: type ` string `

                  - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

                - ` implementation_name `: type ` string `

                  - example: ` "implementationName" `

                - ` name `: type ` string `

                  - example: ` "contractName" `

                - ` ens_domain_name `: type ` string `

                  - example: ` "domain.eth" `

                - ` metadata `: type ` object `

                  - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

                - ` is_contract `: type ` boolean `

                - ` private_tags `: type ` array `

                  - ` array item `: type ` object `

                    - Required fields: ` address_hash `, ` display_name `, ` label `

                    - ` address_hash `: type ` string `

                      - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

                    - ` display_name `: type ` string `

                      - example: ` "name to show" `

                    - ` label `: type ` string `

                      - example: ` "label" `

                - ` watchlist_names `: type ` array `

                  - ` array item `: type ` object `

                    - Required fields: ` display_name `, ` label `

                    - ` display_name `: type ` string `

                      - example: ` "name to show" `

                    - ` label `: type ` string `

                      - example: ` "label" `

                - ` public_tags `: type ` array `

                  - ` array item `: type ` object `

                    - Required fields: ` address_hash `, ` display_name `, ` label `

                    - ` address_hash `: type ` string `

                      - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

                    - ` display_name `: type ` string `

                      - example: ` "name to show" `

                    - ` label `: type ` string `

                      - example: ` "label" `

                - ` is_verified `: type ` boolean `

              - ` token `: type ` object `

                - Required fields: ` address `, ` circulating_market_cap `, ` icon_url `, ` symbol `, ` name `, ` decimals `, ` type `, ` holders `, ` exchange_rate `, ` total_supply `

                - ` circulating_market_cap `: type ` string `

                  - example: ` "83606435600.3635" `

                - ` icon_url `: type ` string `

                  - example: ` "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png" `

                - ` name `: type ` string `

                  - example: ` "Tether USD" `

                - ` decimals `: type ` string `

                  - example: ` "6" `

                - ` symbol `: type ` string `

                  - example: ` "USDT" `

                - ` address `: type ` string `

                  - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

                - ` type `: type ` string `

                  - example: ` "ERC-20" `

                - ` holders `: type ` string `

                  - example: ` "837494234523" `

                - ` exchange_rate `: type ` string `

                  - example: ` "0.99" `

                - ` total_supply `: type ` string `

                  - example: ` "10000000" `

        - ` transaction_hash `: type ` string `

          - example: ` "0x6662ad1ad2ea899e9e27832dc202fd2ef915a5d2816c1142e6933cff93f7c592" `

        - ` type `: type ` string `

          - example: ` "token_transfer" `

    - ` transaction_types `: type ` array `

      - example: ` ["token_transfer","contract_creation","contract_call","token_creation","coin_transfer"] `

      - ` array item `: type ` string `

    - ` gas_used `: type ` string `

      - example: ` "41309" `

    - ` created_contract `: type ` object `

      - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

      - ` hash `: type ` string `

        - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

      - ` implementation_name `: type ` string `

        - example: ` "implementationName" `

      - ` name `: type ` string `

        - example: ` "contractName" `

      - ` ens_domain_name `: type ` string `

        - example: ` "domain.eth" `

      - ` metadata `: type ` object `

        - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

      - ` is_contract `: type ` boolean `

      - ` private_tags `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` address_hash `, ` display_name `, ` label `

          - ` address_hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` watchlist_names `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` display_name `, ` label `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` public_tags `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` address_hash `, ` display_name `, ` label `

          - ` address_hash `: type ` string `

            - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

          - ` display_name `: type ` string `

            - example: ` "name to show" `

          - ` label `: type ` string `

            - example: ` "label" `

      - ` is_verified `: type ` boolean `

    - ` position `: type ` integer `

      - example: ` 117 `

    - ` nonce `: type ` integer `

      - example: ` 115 `

    - ` has_error_in_internal_transactions `: type ` boolean `

      - example: ` false `

    - ` actions `: type ` array `

      - ` array item `: type ` unknown `

        - ` oneOf alternative 1 `: type ` object `

          - Required fields: ` data `, ` protocol `, ` type `

          - ` data `: type ` object `

            - example: ` {"debt_amount":"1.289548595490270429","debt_symbol":"AAVE","debt_address":"0x7Fc66500c84A76Ad7e9c93437bFc5Ac33E2DDaE9","collateral_amount":"110.824768","collateral_symbol":"USDC","collateral_address":"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48","block_number":1} `

          - ` protocol `: type ` string `

            - example: ` "aave_v3" `

          - ` type `: type ` string `

            - example: ` "liquidation_call" `

        - ` oneOf alternative 2 `: type ` object `

          - Required fields: ` data `, ` protocol `, ` type `

          - ` data `: type ` object `

            - example: ` {"amount":"1.289548595490270429","symbol":"AAVE","address":"0x7Fc66500c84A76Ad7e9c93437bFc5Ac33E2DDaE9","block_number":1} `

          - ` protocol `: type ` string `

            - example: ` "aave_v3" `

          - ` type `: type ` string `

            - example: ` "borrow | supply | withdraw | repay | flash_loan" `

        - ` oneOf alternative 3 `: type ` object `

          - Required fields: ` data `, ` protocol `, ` type `

          - ` data `: type ` object `

            - example: ` {"symbol":"AAVE","address":"0x7Fc66500c84A76Ad7e9c93437bFc5Ac33E2DDaE9","block_number":1} `

          - ` protocol `: type ` string `

            - example: ` "aave_v3" `

          - ` type `: type ` string `

            - example: ` "enable_collateral | disable_collateral" `

        - ` oneOf alternative 4 `: type ` object `

          - Required fields: ` data `, ` protocol `, ` type `

          - ` data `: type ` object `

            - example: ` {"name":"Uniswap V3: Positions NFT","symbol":"UNI-V3-POS","address":"0x1F98431c8aD98523631AE4a59f267346ea31F984","to":"0x7Fc66500c84A76Ad7e9c93437bFc5Ac33E2DDaE9","ids":["1","2"],"block_number":1} `

          - ` protocol `: type ` string `

            - example: ` "uniswap_v3" `

          - ` type `: type ` string `

            - example: ` "mint_nft" `

        - ` oneOf alternative 5 `: type ` object `

          - Required fields: ` data `, ` protocol `, ` type `

          - ` data `: type ` object `

            - example: ` {"address0":"0x7Fc66500c84A76Ad7e9c93437bFc5Ac33E2DDaE9","address1":"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48","amount0":"1.289548595490270429","amount1":"110.824768","symbol0":"AAVE","symbol1":"USDC"} `

          - ` protocol `: type ` string `

            - example: ` "uniswap_v3" `

          - ` type `: type ` string `

            - example: ` "burn | collect | swap" `

    - ` decoded_input `: type ` object `

      - Required fields: ` method_call `, ` method_id `, ` parameters `

      - ` method_call `: type ` string `

        - example: ` "transferFrom(address _from, address _to, uint256 _value)" `

      - ` method_id `: type ` string `

        - example: ` "23b872dd" `

      - ` parameters `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` name `, ` type `, ` value `

          - ` name `: type ` string `

            - example: ` "signature" `

          - ` type `: type ` string `

            - example: ` "bytes" `

          - ` value `: type ` string `

            - example: ` "0x0" `

    - ` token_transfers_overflow `: type ` boolean `

      - example: ` false `

    - ` raw_input `: type ` string `

      - example: ` "0xa9059cbb000000000000000000000000ef8801eaf234ff82801821ffe2d78d60a0237f97000000000000000000000000000000000000000000000000000000003178cb80" `

    - ` value `: type ` string `

      - example: ` "0" `

    - ` max_priority_fee_per_gas `: type ` string `

      - example: ` "49793412" `

    - ` revert_reason `: type ` string `

      - example: ` "Error: (Awaiting internal transactions for reason)" `

    - ` confirmation_duration `: type ` object `

      - example: ` [0,17479] `

    - ` transaction_tag `: type ` string `

      - example: ` "private_transaction_tag" `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/main-page/transactions'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/main-page/transactions', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/main-page/transactions')
print(response.json())
```